package com.hotent.portal.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hotent.base.entity.AutoFillModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 会议室配置
 *
 * @company 广州宏天软件股份有限公司
 * @author zhangxw
 * @email zhangxw@jee-soft.cn
 * @since 2021-06-30
 */
@ApiModel(value="PortalMeetingConfig对象", description="会议室配置")
public class PortalMeetingConfig extends AutoFillModel<PortalMeetingConfig> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "是否绑定流程")
    @TableField("BIND_FLOW_")
    private Integer bindFlow;

    @ApiModelProperty(value = "流程key")
    @TableField("FLOW_KEY_")
    private String flowKey;

    @ApiModelProperty(value = "流程名称")
    @TableField("FLOW_NAME_")
    private String flowName;

    @ApiModelProperty(value = "发布到日程")
    @TableField("PUBLISH_SCHEDULE_")
    private Integer publishSchedule;

    @ApiModelProperty(value = "流程实例ID")
    @TableField("FIELD_MAPPING_")
    private String fieldMapping;
    
    @ApiModelProperty(value = "会议室设备字典编码")
    @TableField("DIC_CODE_")
    private String dicCode;
    
    @ApiModelProperty(value = "会议室设备字典名称")
    @TableField("DIC_NAME_")
    private String dicName;
    
    @ApiModelProperty(value = "首页栏目ID")
    @TableField("COLUMN_ID_")
    private String columnId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public Integer getBindFlow() {
        return bindFlow;
    }

    public void setBindFlow(Integer bindFlow) {
        this.bindFlow = bindFlow;
    }
    public String getFlowKey() {
        return flowKey;
    }

    public void setFlowKey(String flowKey) {
        this.flowKey = flowKey;
    }
    public String getFlowName() {
        return flowName;
    }

    public void setFlowName(String flowName) {
        this.flowName = flowName;
    }
    public Integer getPublishSchedule() {
        return publishSchedule;
    }

    public void setPublishSchedule(Integer publishSchedule) {
        this.publishSchedule = publishSchedule;
    }
    public String getFieldMapping() {
        return fieldMapping;
    }

    public void setFieldMapping(String fieldMapping) {
        this.fieldMapping = fieldMapping;
    }

	public String getDicCode() {
		return dicCode;
	}

	public String getDicName() {
		return dicName;
	}

	public void setDicCode(String dicCode) {
		this.dicCode = dicCode;
	}

	public void setDicName(String dicName) {
		this.dicName = dicName;
	}

	@Override
    protected Serializable pkVal() {
        return this.id;
    }

    public String getColumnId() {
		return columnId;
	}

	public void setColumnId(String columnId) {
		this.columnId = columnId;
	}

	@Override
    public String toString() {
        return "PortalMeetingConfig{" +
            "id=" + id +
            ", bindFlow=" + bindFlow +
            ", flowKey=" + flowKey +
            ", flowName=" + flowName +
            ", publishSchedule=" + publishSchedule +
            ", fieldMapping=" + fieldMapping +
            ", dicCode=" + dicCode +
            ", dicName=" + dicName +
            ", columnId=" + columnId +
        "}";
    }
}
